## visad.data.dods
Class DataFactory

    java.lang.Object
      visad.data.dods.DataFactory

public class DataFactory
extends Object

Provides support for creating adapters that bridge between DODS data objects and the VisAD data-import context.

Instances are immutable.

Constructor Summary
`protected` `DataFactory()` Constructs from nothing.
`protected` `DataFactory(AttributeAdapterFactory attributeFactory, VariableAdapterFactory variableFactory)` Constructs from adapter factories for DODS attributes and DODS variables.

Method Summary
`DataImpl` `data(BaseType var, DAS das, boolean copy)` Returns the VisAD data object corresponding to a DODS variable.
`DataImpl` `data(String name, Attribute attribute, boolean copy)` Returns the VisAD data object corresponding to a DODS attribute.
`static DataFactory` `dataFactory()` Returns an instance of this class.
`static DataFactory` `dataFactory(AttributeAdapterFactory attributeFactory, VariableAdapterFactory variableFactory)` Returns an instance of this class corresponding to adapter factories for DODS attributes and DODS variables.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFactory

    protected DataFactory()

  Constructs from nothing.

### DataFactory

    protected DataFactory(AttributeAdapterFactory attributeFactory,
                          VariableAdapterFactory variableFactory)

  Constructs from adapter factories for DODS attributes and DODS variables.

Parameters:
  `attributeFactory` - An adapter factory for DODS attributes.
  `variableFactory` - An adapter factory for DODS variables.

Method Detail

### dataFactory

    public static DataFactory dataFactory()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### dataFactory

    public static DataFactory dataFactory(AttributeAdapterFactory attributeFactory,
                                          VariableAdapterFactory variableFactory)

  Returns an instance of this class corresponding to adapter factories for DODS attributes and DODS variables.

  Parameters:
    `attributeFactory` - An adapter factory for DODS attributes.
    `variableFactory` - An adapter factory for DODS variables.
  Returns:
    An instance of this class corresponding to the input.

### data

    public DataImpl data(String name,
                         Attribute attribute,
                         boolean copy)
                  throws BadFormException,
                         VisADException,
                         RemoteException

  Returns the VisAD data object corresponding to a DODS attribute.

  Parameters:
    `name` - The name of the DODS attribute.
    `attribute` - A DODS attribute.
    `copy` - If true, then a copy of the data object is returned.
  Returns:
    The VisAD data object corresponding to the DODS attribute.
  Throws:
    `BadFormException` - The DODS information is corrupt.
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### data

    public DataImpl data(BaseType var,
                         DAS das,
                         boolean copy)
                  throws BadFormException,
                         VisADException,
                         RemoteException

  Returns the VisAD data object corresponding to a DODS variable.

  Parameters:
    `var` - A DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
    `copy` - If true, then a copy of the data object is returned.
  Returns:
    The VisAD data object corresponding to the DODS variable.
  Throws:
    `BadFormException` - The DODS information is corrupt.
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.